<template>
	<view>

	</view>
</template>

<script>
	import {
		login
	} from '@/api/login.js';
	import {
		setToken,
		getRedirectPath,
		setRedirectPath,
		removeToken
	} from '@/utils/auth';
	import {
		getParams
	} from '@/utils/common.js'
	export default {
		data() {
			return {
				code: undefined,
				errInfo: '',
				stateParams: '',
				queryParams: ''
			}
		},
		onLoad(options) {
			let {code} = options;
			this.code = code;
			this.loginIn();
		},

		methods: {
			loginIn() {
				let params = {
					code: this.code
				}
				login(params).then(res => {
					if (res.code == 200 && res.data) {
						setToken(res.data)
						this.$store.dispatch('GetInfo')
						uni.switchTab({
							url: '/pages/index/index'
						})
					}
					if(res.code == 200 && !res.data){
						uni.switchTab({
							url: '/pages/index/index'
						})
					}
					if(res.code == 401){
						// removeToken()
						window.location = res.data
					}
				})
			},
			// 获取回调地址
			// getRedirectUrl() {
			// 	// let params = {
			// 	// 	path: getRedirectPath() || ''
			// 	// }
			// 	// getUrl(params).then(res => {
			// 	// 	console.log(res)
			// 	// 	if (res.code == 200 && res.data) {
			// 	// 		window.location = res.data
			// 	// 	}
			// 	// })
			// 	window.location = 'https://open.weixin.qq.com/connect/oauth2/authorize?appid=wxd2a84aa7529d3801&redirect_uri=https%3A%2F%2Fwecom.jift.edu.cn%2Fbbs%2Fh5%2Fpages%2Flogin%2Flogin%2F&response_type=code&scope=snsapi_base&state=#wechat_redirect'
			// },
			
			// 页面跳转
			// pageRedirect(){
			// 	if (this.stateParams) {
			// 		const businessParams = new URLSearchParams();
			// 		this.queryParams.forEach((value, key) => {
			// 			if (key !== 'code' && key !== 'targetPath') {
			// 				businessParams.append(key, value);
			// 			}
			// 		});
			// 		uni.redirectTo({
			// 			url: `${this.stateParams}?${businessParams.toString()}`
			// 		})
			// 	} else {
			// 		uni.switchTab({
			// 			url: '/pages/index/index'
			// 		})
			// 	}
			// }
		}
	}
</script>

<style>

</style>